## Package org.jfree.report.modules.preferences.base

Base classes for the config store system.

See:
Description

Interface Summary
ConfigStorage: Config storage implementations are used to store a set of properties to a certain key.

Class Summary
ConfigFactory: The config factory is used to access the currently active config storage implementation.
ConfigStoreBaseModule: The module definition for the config store system.
NullConfigStorage: An empty default implementation.

Exception Summary
ConfigStoreException: The config store exception is throwns if an error prevents an operation on the current configuration storage provider.

## Package org.jfree.report.modules.preferences.base Description

Base classes for the config store system. This module provides base services to save property files in a plattform and java vm version independent way.